Tickets de soporte de la empresa
curl --request GET \
--url https://api.ugps.io/api/support/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/support/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/support/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"stale": true,
"page": 123,
"pageSize": 123,
"total": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "El equipo del camión 12 no reporta",
"status": {
"id": 1,
"name": "Abierto"
},
"category": "technical",
"authorName": "<string>",
"commentsCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"status": "failed",
"code": "PORTAL_UNAVAILABLE",
"message": "Facturación y Soporte no están disponibles en este momento",
"requestId": "<string>"
}Soporte
Tickets de soporte de la empresa
Portal del cliente (Soporte). Tickets de Raúl de la empresa del usuario en sesión.
Requiere access_support. Sin vínculo comercial responde enabled: false; con Raúl
caído devuelve la última lectura (stale: true) o 503.
GET
/
api
/
support
/
tickets
Tickets de soporte de la empresa
Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Response
Tickets de la empresa
false = portal apagado o empresa sin vínculo comercial («aún no habilitado»); la lista viene vacía y no es un error
true = Raúl no respondió y se devolvió la última lectura correcta (hasta 60 s)
Show child attributes
Show child attributes